sayren Docs
주문 플로우 노드 종류

노드·블록 종류

흐름 그래프에 쓸 수 있는 노드·블록 종류와 설정 형식(JSON Schema). 초안 저장 전 형식을 맞출 때 쓴다.

GET
/v1/flow-node-types

흐름 그래프에 쓸 수 있는 노드·블록 종류와 설정 형식(JSON Schema). 초안 저장 전 형식을 맞출 때 쓴다.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/flow-node-types' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "nodes": [      {        "type": "string",        "version": 0,        "kind": "string",        "outputs": [          "string"        ],        "configSchema": {          "property1": null,          "property2": null        }      }    ],    "blocks": [      {        "type": "string",        "version": 0,        "effect": "string",        "configSchema": {          "property1": null,          "property2": null        }      }    ],    "platformActions": []  },  "error": null}